# 78. Заявка: Намиране на „Полета“ по „externalKey“

Намерете "Парцелите" по външния ключ (externalKey) на трета страна, въведен по време на регистрацията на "Парцел".

### <mark style="color:оранжево;">ОПЦИЯ 1</mark> използвайки заявката getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
заявка FindFieldsByExternalKeyOption1 {
  getFields(филтър: {
    fieldExternalKey: "<идентификатор_на_трета_страна>"
  }) {
    общБрой
    fields {
      uuid
      name
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:оранжево;">ОПЦИЯ 2</mark> използвайки заявката getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
заявка FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<идентификатор_на_трета_страна>"]) {
      uuid
      name
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/78.-zayavka-namirane-na-poleta-po-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
